Summary:	GNOME Iagno - disk flipping game derived from Reversi
Summary(pl.UTF-8):	Iagno dla GNOME - gra w obracanie krążków wywodząca się z Reversi
Name:		iagno
Version:	3.38.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://ftp.gnome.org/pub/GNOME/sources/iagno/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	20b96b6f5863224a118994207c19ebd8
URL:		https://wiki.gnome.org/Apps/Iagno
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.42.0
BuildRequires:	gsound-devel >= 1.0.2
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	librsvg-devel >= 1:2.32.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.27.1
BuildRequires:	vala-gsound >= 1.0.2
BuildRequires:	vala-librsvg >= 1:2.32.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.42.0
Requires:	glib2 >= 1:2.42.0
Requires:	gsound >= 1.0.2
Requires:	gtk+3 >= 3.24.0
Requires:	hicolor-icon-theme
Requires:	librsvg >= 1:2.32.0
Provides:	gnome-games-iagno = 1:%{version}-%{release}
Obsoletes:	gnome-games-iagno < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Iagno is a Reversi like game.

%description -l pl.UTF-8
GNOME Iagno to gra podobna do Reversi.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc COPYING.images NEWS README.md
%attr(755,root,root) %{_bindir}/iagno
%{_datadir}/dbus-1/services/org.gnome.Reversi.service
%{_datadir}/glib-2.0/schemas/org.gnome.Reversi.gschema.xml
%{_datadir}/iagno
%{_datadir}/metainfo/org.gnome.Reversi.appdata.xml
%{_desktopdir}/org.gnome.Reversi.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Reversi.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Reversi-symbolic.svg
%{_mandir}/man6/iagno.6*
%changelog
* Sat Oct 03 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iagno.git;a=log;h=master

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 776d68d
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> a59acf9
- updated to 3.38.0

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d49887
- updated to 3.36.4

* Sun May 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 7b87c14
- updated to 3.36.3

* Tue Apr 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 6b9310a
- updated to 3.36.2

* Sat Apr 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 7e9d42f
- updated to 3.36.0

* Thu Jan 09 2020 Jakub Bogusz <qboosh@pld-linux.org> f89f890
- updated to 3.34.4

* Sun Nov 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 9ad4b39
- updated to 3.34.3

* Wed Nov 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 6bb74e6
- updated to 3.34.2

* Wed Mar 21 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 5e11a7e
- Update to 3.28.0

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5263d86
- Update to 3.26.1

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 00409a9
- updated to 3.22.0

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> b4404d7
- updated to 3.18.2

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 64cc51b
- updated to 3.18.1

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> b42a620
- updated to 3.16.1

* Sat Dec 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> f95d0af
- Update to 3.14.2

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 5c54608
- updated to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 40d0687
- New

